//
//  TSCalendarView.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import "TSCalendarView.h"

@implementation TSCalendarView
@synthesize budgetLabel;
@synthesize dateLabel;
@synthesize locationLabel;
@synthesize objectiveLabel;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewWillAppear:(BOOL)animated
{
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSReporter * reporter = appDelegate.currentReporter;
    [super viewWillAppear:animated];
    [dateLabel setText:[NSString stringWithFormat:@"June %i",[appDelegate daysPassed]+1]];
    [budgetLabel setText:[NSString stringWithFormat:@"Money Left: $%.2f",[[appDelegate currentReporter] money]]];
    [locationLabel setText:[NSString stringWithFormat:@"Currently in %@.",reporter.currentCity]];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait || interfaceOrientation == UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)checkProgressMap:(id)sender {
    [self performSegueWithIdentifier:@"showProgressMap" sender:self];
}

- (IBAction)doActivity:(id)sender {
    UIButton * buttonSender = sender;
    _selectedType = [buttonSender tag];
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSContinentalJourney * journey = appDelegate.currentJourney;
    NSArray * activities = [journey activitiesForType:_selectedType];
    NSString * firstActivity = ([activities count]>0)?[[activities objectAtIndex:0] valueForKey:@"ActivityName"]:nil;
    NSString * secondActivity = ([activities count]>1)?[[activities objectAtIndex:1] valueForKey:@"ActivityName"]:nil;
    NSString * thirdActivity = ([activities count]>2)?[[activities objectAtIndex:2] valueForKey:@"ActivityName"]:nil;
    NSString * fourthActivity = ([activities count]>3)?[[activities objectAtIndex:3] valueForKey:@"ActivityName"]:nil;
    NSString * fifthActivity = ([activities count]>4)?[[activities objectAtIndex:4] valueForKey:@"ActivityName"]:nil;
    UIActionSheet * activitySheet = [[UIActionSheet alloc] initWithTitle:@"Activities For This City:" delegate:self cancelButtonTitle:@"Nevermind" destructiveButtonTitle:nil otherButtonTitles:firstActivity, secondActivity, thirdActivity, fourthActivity, fifthActivity, nil];
    [activitySheet showInView:self.view];
}

- (void)viewDidUnload {
    [self setBudgetLabel:nil];
    [self setDateLabel:nil];
    [self setLocationLabel:nil];
    [self setObjectiveLabel:nil];
    [super viewDidUnload];
}

#pragma mark - UIActionSheetDelegate implementation

- (void)actionSheet:(UIActionSheet *)actionSheet didDismissWithButtonIndex:(NSInteger)buttonIndex {
    if ([actionSheet cancelButtonIndex] == buttonIndex) return;
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSContinentalJourney * journey = appDelegate.currentJourney;
    TSReporter * reporter = appDelegate.currentReporter;
    NSArray * activities = [journey activitiesForType:_selectedType];
    NSDictionary * selectedActivity = [activities objectAtIndex:buttonIndex];
    CGFloat price = [[selectedActivity valueForKey:@"MoneyDelta"] floatValue];
    if (price < 0.0f && fabs(price) > reporter.money) {
        UIAlertView * tooPoorAlert = [[UIAlertView alloc] initWithTitle:@"Not Enough Money!" message:@"Before you can get cultural experiences, you have to get some money to pay for them! Try taking some jobs." delegate:nil cancelButtonTitle:@"Okay" otherButtonTitles:nil];
        [tooPoorAlert show];
    }
    else {
        [reporter setCurrentActivity:selectedActivity];
        [self performSegueWithIdentifier:@"beginActivity" sender:self];
    }
}

@end
