//
//  TSCharacterCreationViewController.m
//  TravelSection
//
//  Created by Michael Herring on 12/16/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import "TSCharacterCreationViewController.h"

@implementation TSCharacterCreationViewController

@synthesize technologySlider;
@synthesize creativitySlider;
@synthesize intelligenceSlider;
@synthesize hairColorStepper;
@synthesize characterView;
@synthesize genderSelector;
@synthesize totalPoints;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    [self updateAppearance:nil];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait || interfaceOrientation == UIInterfaceOrientationPortraitUpsideDown);
}

- (void)viewDidUnload {
    [self setCharacterView:nil];
    [self setTotalPoints:nil];
    [self setIntelligenceSlider:nil];
    [self setCreativitySlider:nil];
    [self setTechnologySlider:nil];
    [self setHairColorStepper:nil];
    [self setGenderSelector:nil];
    [super viewDidUnload];
}

- (IBAction)updateStats:(id)sender {
    TSReporter * reporter = [(TSAppDelegate*)[[UIApplication sharedApplication] delegate] currentReporter];
    CGFloat allocationRatio = intelligenceSlider.value + creativitySlider.value + technologySlider.value;
    allocationRatio /= 15;
    [totalPoints setProgress:allocationRatio animated:YES];
    if (allocationRatio >= 1.0f) {
        [creativitySlider setValue:creativityLock];
        [intelligenceSlider setValue:intelligenceLock];
        [technologySlider setValue:technologyLock];
    }
    else {
        [reporter setIntelligence:intelligenceSlider.value];
        [reporter setTechnology:technologySlider.value];
        [reporter setCreativity:creativitySlider.value];
        creativityLock = creativitySlider.value;
        technologyLock = technologySlider.value;
        intelligenceLock = intelligenceSlider.value;
    }
}

- (IBAction)updateAppearance:(id)sender {
    TSReporter * reporter = [(TSAppDelegate*)[[UIApplication sharedApplication] delegate] currentReporter];
    [reporter setHairColor:hairColorStepper.value];
    [reporter setIsFemale:([genderSelector selectedSegmentIndex] == 1)];
    [characterView setAnimationImages:[reporter walkCycleImages]];
    [characterView setAnimationDuration:0.8];
    [[characterView layer] setMagnificationFilter:kCAFilterNearest];
    [characterView startAnimating];
}

#pragma mark - UITextFieldDelegate

- (void)textFieldDidEndEditing:(UITextField *)textField {
    TSReporter * reporter = [(TSAppDelegate*)[[UIApplication sharedApplication] delegate] currentReporter];
    [reporter setCharacterName:textField.text];
}
- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return YES;
}


@end
