//
//  TSContinentalJourney.h
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

typedef enum {
    TSActivityCultural = 1,
    TSActivityMoney,
    TSActivityBoth
}TSJourneyActivityType;

typedef enum {
    TSMinigameJustWatch = 0,
    TSMinigameTapIncomingItems,
    TSMinigameDodgeOncomingObjects,
    TSMinigameJumpOverOncomingObjects,
    TSMinigameFlickItemsOutward
} TSMinigameType;

@interface TSContinentalJourney : NSObject {
    NSArray * _moneyMakingActivities;
    NSArray * _culturalActivities;
    NSArray * _comboActivities;
    NSString * _startingCity;
    NSString * _destinationCity;
    NSDictionary * _cityConnections;
    MKCoordinateRegion _region;
    NSUInteger _duration;
}

@property (strong, readonly) NSArray * moneyMakingActivities;
@property (strong, readonly) NSArray * culturalActivities;
@property (strong, readonly) NSArray * comboActivities;
@property (strong, readonly) NSString * startingCity;
@property (strong, readonly) NSString * destinationCity;
@property (strong, readonly) NSDictionary * cityConnections;
@property (readonly) MKCoordinateRegion region;
@property (readonly) NSUInteger duration;

-(CLLocationCoordinate2D)locationForCity:(NSString*)cityName;
-(NSArray*)pricesToTravelFrom:(NSString*)fromCity to:(NSString*)toCity;
-(NSArray*)activitiesForType:(TSJourneyActivityType)activityType;
-(TSMinigameType)minigameTypeForActivity:(NSString*)activity;
-(NSString *)instructionStringForActivity:(NSString*)activity;

@end
