//
//  TSDailySummaryViewController.h
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface TSDailySummaryViewController : UIViewController

@property (weak, nonatomic) IBOutlet UIImageView *characterView;
@property (strong, readwrite) NSDictionary * result;
@property (weak, nonatomic) IBOutlet UIProgressView *intelligenceBar;
@property (weak, nonatomic) IBOutlet UIProgressView *creativityBar;
@property (weak, nonatomic) IBOutlet UIProgressView *technologyBar;
@property (weak, nonatomic) IBOutlet UIProgressView *cultureBar;
@property (weak, nonatomic) IBOutlet UIProgressView *experienceBar;
@property (weak, nonatomic) IBOutlet UIProgressView *stressBar;
@property (weak, nonatomic) IBOutlet UILabel *intelligenceDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *creativityDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *technologyDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *cultureDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *experienceDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *stressDeltaLabel;
@property (weak, nonatomic) IBOutlet UILabel *moneyDeltaLabel;
@property (weak, nonatomic) IBOutlet UIButton *sleepButton;

//whoa, weird property bro
@property (readonly) CGFloat randRatio;

- (IBAction)goToSleep:(id)sender;

-(void)initializeAppearance;
-(void)makeCharacterHappy;
-(void)processTimePassed;
-(void)processDailyEvent;
-(void)configureLabel:(UILabel*)label withValue:(CGFloat)value;
-(void)showIntelligenceBoost:(NSDictionary*)statDict;
-(void)showCreativityBoost:(NSDictionary*)statDict;
-(void)showTechnologyBoost:(NSDictionary*)statDict;
-(void)showCultureBoost:(NSDictionary*)statDict;
-(void)showExperienceBoost:(NSDictionary*)statDict;
-(void)showStressBoost:(NSDictionary*)statDict;


@end
