//
//  TSDifficultySelectionViewController.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import "TSDifficultySelectionViewController.h"
#import "TSAustralianJourney.h"

@implementation TSDifficultySelectionViewController
@synthesize mapBackground;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    [mapBackground setMapType:MKMapTypeHybrid];
    [mapBackground setRegion:MKCoordinateRegionMake(CLLocationCoordinate2DMake(0, 0), MKCoordinateSpanMake(150, 150))];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait || interfaceOrientation == UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)selectAustralia:(id)sender {
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSReporter * reporter = [appDelegate currentReporter];
    TSAustralianJourney * aussieJourney = [[TSAustralianJourney alloc] init];
    [appDelegate setCurrentJourney:aussieJourney];
    [reporter setMoney:100.00];
    [reporter setCurrentCity:aussieJourney.startingCity];
    [self beginGame];
}

- (IBAction)goBack:(id)sender {
    [self.navigationController popViewControllerAnimated:YES];
}

-(void)beginGame {
    NSArray * controllers = self.navigationController.viewControllers;
    UIViewController * titleController = [controllers objectAtIndex:0];
    [self.navigationController popToViewController:titleController animated:NO];
    [titleController performSegueWithIdentifier:@"beginGame" sender:self];
}

- (void)viewDidUnload {
    [self setMapBackground:nil];
    [super viewDidUnload];
}
@end
