//
//  TSGameOverViewController.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import "TSGameOverViewController.h"
#import "TSAustralianJourney.h"

@implementation TSGameOverViewController
@synthesize titleLabel;
@synthesize destinationResultLabel;
@synthesize articleResult;
@synthesize firstImageView;
@synthesize secondImageView;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSReporter * reporter = [appDelegate currentReporter];
    TSContinentalJourney * journey = [appDelegate currentJourney];
    if ([reporter.currentCity isEqualToString:[journey destinationCity]]) {
        [self.titleLabel setText:@"Made It! Whew."];
        [self.destinationResultLabel setText:[NSString stringWithFormat:@"You made it to %@ and caught your flight!",journey.destinationCity]];
        [self.articleResult setText:[self articleStringForEndgame]];
    }
    else {
        [self.titleLabel setText:@"Out of time..."];
        [self.destinationResultLabel setText:[NSString stringWithFormat:@"You weren't in %@ soon enough to catch your flight...",journey.destinationCity]];
        [self.articleResult setText:@"Without getting home, you can't get your article into the travel section. You're stuck in a foreign country all by yourself!"];
    }
    
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait || interfaceOrientation == UIInterfaceOrientationPortraitUpsideDown);
}


- (void)viewDidUnload {
    [self setTitleLabel:nil];
    [self setDestinationResultLabel:nil];
    [self setArticleResult:nil];
    [self setFirstImageView:nil];
    [self setSecondImageView:nil];
    [super viewDidUnload];
}
- (IBAction)tweetResult:(id)sender {
}

- (IBAction)backToTitle:(id)sender {
    [self.navigationController popToRootViewControllerAnimated:YES];
}

-(NSString*)articleStringForEndgame {
    TSAppDelegate * appDelegate = [[UIApplication sharedApplication] delegate];
    TSReporter * reporter = [appDelegate currentReporter];
    NSString * reception = nil;
    CGFloat gameScore = reporter.culture + reporter.experience;
    //and then, add a bonus for having a good balance.
    BOOL wellBalanced = (reporter.culture > 50.0f && reporter.experience > 50.0f);
    //generate the string
    if (gameScore < 20.0f) {
        reception = @"rejected by your editor! Too bad.";
    }
    else if (gameScore < 50.0f) {
        reception = @"published, but wasn't very well received.";
    }
    else if(!wellBalanced) {
        reception = @"published to great reviews and acclaim!";
    }
    else {
        reception = @"published, won awards, and you even got a syndicated column!";
    }
    return [NSString stringWithFormat:@"With your Culture at %.1f and Experience at %.1f, your article got %@",reporter.culture, reporter.experience, reception];
}
@end
