//
//  TSReporter.m
//  TravelSection
//
//  Created by Michael Herring on 12/17/11.
//  Copyright (c) 2011 Sun, Sea and Sky Factory. All rights reserved.
//

#import "TSReporter.h"

@implementation TSReporter

@synthesize characterName = _characterName;
@synthesize currentCity = _currentCity;
@synthesize isFemale = _isFemale;
@synthesize hairColor = _hairColor;
@synthesize creativity = _creativity;
@synthesize intelligence = _intelligence;
@synthesize technology = _technology;
@synthesize money = _money;
@synthesize culture = _culture;
@synthesize experience = _experience;
@synthesize stress = _stress;
@synthesize currentActivity = _currentActivity;

-(id)init {
    self = [super init];
    if (self != nil) {
        [self setCharacterName:@"Reporter"];
        [self setIsFemale:YES];
        [self setIntelligence:1.0f];
        [self setCreativity:3.0];
        [self setTechnology:5.0f];
        [self setCulture:0.0f];
        [self setExperience:0.0f];
        [self setStress:0.0f];
    }
    return self;
}

-(NSString *)basename {
    return [NSString stringWithFormat:@"%@Reporter_Hair%i_",self.isFemale?@"Female":@"Male",self.hairColor];
}

-(NSArray*)walkCycleImages {
    UIImage * image1 = [UIImage imageNamed:[NSString stringWithFormat:@"%@Walk1",self.basename]];
    UIImage * image2 = [UIImage imageNamed:[NSString stringWithFormat:@"%@Walk2",self.basename]];
    return [NSArray arrayWithObjects:image1, image2, nil];
}

-(UIImage*)stationaryImage {
    return [UIImage imageNamed:[NSString stringWithFormat:@"%@Stand",self.basename]];
}

-(NSArray*)excitedImages {
    UIImage * image = [UIImage imageNamed:[NSString stringWithFormat:@"%@Yes",self.basename]];
    return [NSArray arrayWithObjects:image,[self stationaryImage], nil];
}

@end
